function love.load()
	love.physics.setMeter( 64 )
	world = love.physics.newWorld( 0, 9.8, true )

	distanceJoint = {}

	distanceJoint.base = {}
	distanceJoint.base.body = love.physics.newBody( world, 400, 100, "static" )
	distanceJoint.base.shape = love.physics.newCircleShape( 10 )
	distanceJoint.base.fixture = love.physics.newFixture( distanceJoint.base.body, distanceJoint.base.shape )

	distanceJoint.ropeEnd = {}
	distanceJoint.ropeEnd.body = love.physics.newBody( world, 350, 100, "dynamic" )
	distanceJoint.ropeEnd.shape = love.physics.newCircleShape( 10 )
	distanceJoint.ropeEnd.fixture = love.physics.newFixture( distanceJoint.ropeEnd.body, distanceJoint.ropeEnd.shape )

	distanceJoint.joint = love.physics.newDistanceJoint( distanceJoint.base.body, distanceJoint.ropeEnd.body, 400, 100, 350, 100 )


	noJoint = {}

	noJoint.base = {}
	noJoint.base.body = love.physics.newBody( world, 400, 300, "static" )
	noJoint.base.shape = love.physics.newCircleShape( 10 )
	noJoint.base.fixture = love.physics.newFixture( noJoint.base.body, noJoint.base.shape )

	noJoint.ropeEnd = {}
	noJoint.ropeEnd.body = love.physics.newBody( world, 350, 300, "dynamic" )
	noJoint.ropeEnd.shape = love.physics.newCircleShape( 10 )
	noJoint.ropeEnd.fixture = love.physics.newFixture( noJoint.ropeEnd.body, noJoint.ropeEnd.shape )


	ropeJoint = {}

	ropeJoint.base = {}
	ropeJoint.base.body = love.physics.newBody( world, 400, 500, "static" )
	ropeJoint.base.shape = love.physics.newCircleShape( 10 )
	ropeJoint.base.fixture = love.physics.newFixture( ropeJoint.base.body, ropeJoint.base.shape )

	ropeJoint.ropeEnd = {}
	ropeJoint.ropeEnd.body = love.physics.newBody( world, 350, 500, "dynamic" )
	ropeJoint.ropeEnd.shape = love.physics.newCircleShape( 10 )
	ropeJoint.ropeEnd.fixture = love.physics.newFixture( ropeJoint.ropeEnd.body, ropeJoint.ropeEnd.shape )

	ropeJoint.joint = love.physics.newRopeJoint( ropeJoint.base.body, ropeJoint.ropeEnd.body, 400, 500, 350, 500, 64 )
end

function love.update( dt )
	world:update( dt )
end

function love.draw()
	love.graphics.setColor( 0,255,0 )
	love.graphics.print( "Distance Joint:", 300, 60 )
	love.graphics.circle( "fill", distanceJoint.base.body:getX(), distanceJoint.base.body:getY(), distanceJoint.base.shape:getRadius() )
	love.graphics.circle( "fill", distanceJoint.ropeEnd.body:getX(), distanceJoint.ropeEnd.body:getY(), distanceJoint.ropeEnd.shape:getRadius() )

	love.graphics.setColor( 255,255,255 )
	love.graphics.print( "No Joint:", 300, 260 )
	love.graphics.circle( "fill", noJoint.base.body:getX(), noJoint.base.body:getY(), noJoint.base.shape:getRadius() )
	love.graphics.circle( "fill", noJoint.ropeEnd.body:getX(), noJoint.ropeEnd.body:getY(), noJoint.ropeEnd.shape:getRadius() )

	love.graphics.setColor( 255,0,0 )
	love.graphics.print( "Rope Joint:", 300, 460 )
	love.graphics.circle( "fill", ropeJoint.base.body:getX(), ropeJoint.base.body:getY(), ropeJoint.base.shape:getRadius() )
	love.graphics.circle( "fill", ropeJoint.ropeEnd.body:getX(), ropeJoint.ropeEnd.body:getY(), ropeJoint.ropeEnd.shape:getRadius() )
end
